6

I'm trying to upgrade my systems, I even tried using another mirror, but it always show signature from <email> unknown trust, [package-file] is corrupted (invalid or corrupted package (PGP signature)) how to resolve this issue?

$  sudo pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 tokumx is up to date
:: Starting full system upgrade...
:: Replace attica with extra/attica-qt4? [Y/n] y
:: Replace dirmngr with core/gnupg? [Y/n] y
:: Replace gtk-theme-menda with extra/menda-themes? [Y/n] y
:: Replace lxpolkit with community/lxsession? [Y/n] y
resolving dependencies...
looking for inter-conflicts...

Packages (397):

Name                                    Old Version          New Version          Net Change  Download Size

community/acpid                         2.0.23-1             2.0.23-3             0.00 MiB                 
extra/adwaita-icon-theme                                     3.14.1-1             13.66 MiB                
extra/at-spi2-atk                       2.12.1-1             2.14.1-1             0.00 MiB                 
extra/at-spi2-core                      2.12.0-1             2.14.1-1             -0.04 MiB                
extra/atk                               2.12.0-1             2.14.0-1             0.03 MiB                 
attica                                  0.4.2-1                                   -1.09 MiB                
extra/attica-qt4                                             0.4.2-1              1.09 MiB                 
extra/attica-qt5                        5.3.0-1              5.4.0-1              0.00 MiB                 
extra/avahi                             0.6.31-13            0.6.31-14            0.00 MiB                 
core/binutils                           2.24-7               2.24-8               0.04 MiB                 
extra/bluez                             5.24-1               5.25-2               0.00 MiB                 
...
extra/xscreensaver                      5.30-1               5.32-1               3.04 MiB                 
extra/yaourt                            1.5-1                1.5-1.1              0.00 MiB         0.07 MiB
extra/yelp                              3.12.0-1             3.14.1-1             -0.12 MiB                
extra/yelp-xsl                          3.12.0-1             3.14.0-1             0.00 MiB                 
community/youtube-dl                    2014.10.13-1         2014.11.24-1         0.20 MiB                 
extra/zenity                            3.12.1-2             3.14.0-1             0.02 MiB                 
community/zeromq                        4.0.4-4              4.0.5-1              0.01 MiB                 

Total Download Size:    40.25 MiB
Total Installed Size:   3550.46 MiB
Net Upgrade Size:       -5.18 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages ...
 ckbcomp-0.1.6-1-any                                                                                            24.3 KiB  11.9M/s 00:00 [##################################################################################]   0%
 keyboardctl-0.1.6-1-any                                                                                        27.6 KiB  6.74M/s 00:00 [##################################################################################]   0%
 openvpn-2.3.5-1.20-x86_64                                                                                     371.5 KiB  10.1M/s 00:00 [##################################################################################]   0%
 firefox-34.0.5-0.10-x86_64                                                                                     38.9 MiB  5.72M/s 00:07 [##################################################################################]  96%
 manjaro-settings-manager-0.4.3-1-x86_64                                                                        40.0 MiB  5.69M/s 00:07 [##################################################################################]  99%
 yaourt-1.5-1.1-any                                                                                             40.1 MiB  5.70M/s 00:07 [##################################################################################]  99%
 lxsession-1:0.5.1-1.1-x86_64                                                                                   40.2 MiB  5.71M/s 00:07 [##################################################################################] 100%
(393/393) checking keys in keyring                                                                                                      [##################################################################################] 100%
(393/393) checking package integrity                                                                                                    [##################################################################################] 100%
error: firefox: signature from "Alexandru Ianu <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/firefox-34.0.5-0.10-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: ckbcomp: signature from "Ramon Buldó <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/ckbcomp-0.1.6-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: keyboardctl: signature from "Ramon Buldó <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/keyboardctl-0.1.6-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: lxsession: signature from "Ramon Buldó <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/lxsession-1:0.5.1-1.1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: manjaro-settings-manager: signature from "Ramon Buldó <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/manjaro-settings-manager-0.4.3-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: openvpn: signature from "Alexandru Ianu <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/openvpn-2.3.5-1.20-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: yaourt: signature from "Alexandru Ianu <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/yaourt-1.5-1.1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

1 Answer 1

7

Ah I found the answer:

sudo pacman -S manjaro-keyring

Updating the keyring first resolve the issue above.

2
  • 5
    In my case it was sudo pacman -S archlinux-keyring Nov 5, 2016 at 22:07
  • Install both keyrings to make sure to have all the keys up to date.
    – Mio Rin
    Jan 29, 2017 at 4:48

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .